<?xml version="1.0" encoding="UTF-8"?>

<!--
  ~
  ~      Copyright (c) 2018-2025, lengleng All rights reserved.
  ~
  ~  Redistribution and use in source and binary forms, with or without
  ~  modification, are permitted provided that the following conditions are met:
  ~
  ~ Redistributions of source code must retain the above copyright notice,
  ~  this list of conditions and the following disclaimer.
  ~  Redistributions in binary form must reproduce the above copyright
  ~  notice, this list of conditions and the following disclaimer in the
  ~  documentation and/or other materials provided with the distribution.
  ~  Neither the name of the yifu4cloud.com developer nor the names of its
  ~  contributors may be used to endorse or promote products derived from
  ~  this software without specific prior written permission.
  ~  Author: lengleng (wangiegie@gmail.com)
  ~
  -->

<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.yifu.cloud.plus.v1.yifu.social.mapper.SysPayProportionMapper">

	<resultMap id="sysPayProportionMap" type="com.yifu.cloud.plus.v1.yifu.social.entity.SysPayProportion">
		<id property="id" column="ID"/>
		<result property="companyPro" column="COMPANY_PRO"/>
		<result property="personalPro" column="PERSONAL_PRO"/>
		<result property="sysBaseSetId" column="SYS_BASE_SET_ID"/>
	</resultMap>
	<sql id="Base_Column_List">
		a.ID,a.COMPANY_PRO,a.PERSONAL_PRO,a.SYS_BASE_SET_ID
	</sql>
	<select id="selectByPrimaryId" resultMap="sysPayProportionMap">
		SELECT
			Id,
			company_pro,
			personal_pro,
			sys_base_set_id
		FROM sys_pay_proportion
		WHERE
			sys_pay_proportion.sys_base_set_id = #{id}
	</select>
	<sql id="sysPayProportion_where">
		<if test="sysPayProportion != null">
			<if test="sysPayProportion.id != null and sysPayProportion.id.trim() != ''">
				AND a.ID = #{sysPayProportion.id}
			</if>
			<if test="sysPayProportion.companyPro != null">
				AND a.COMPANY_PRO = #{sysPayProportion.companyPro}
			</if>
			<if test="sysPayProportion.personalPro != null">
				AND a.PERSONAL_PRO = #{sysPayProportion.personalPro}
			</if>
			<if test="sysPayProportion.sysBaseSetId != null and sysPayProportion.sysBaseSetId.trim() != ''">
				AND a.SYS_BASE_SET_ID = #{sysPayProportion.sysBaseSetId}
			</if>
		</if>
	</sql>
	<!--sysPayProportion简单分页查询-->
	<select id="getSysPayProportionPage" resultMap="sysPayProportionMap">
		SELECT
		<include refid="Base_Column_List"/>
		FROM sys_pay_proportion a
		<where>
			1=1
			<include refid="sysPayProportion_where"/>
		</where>
	</select>
</mapper>
